# $Revision: 1.555.2.189 $, $Date: 2007/03/05 13:22:37 $
#
# TODO:
# - python(abi) cap is not provided automatically (because /usr/bin/python matches
#   ELF first; it should be provided by python-libs not binary anyway)
#
# Conditional build:
%bcond_with	static		# build static rpmi (not supported at the moment)
%bcond_without	apidocs		# don't generate documentation with doxygen
%bcond_without	autoreqdep	# don't autogenerate package name deps in addition to sonames/perl(X)
%bcond_without	python		# don't build python bindings
%bcond_without	selinux		# build without selinux support
%bcond_without	system_libmagic	# don't use system libmagic
%bcond_with	neon		# build with HTTP/WebDAV support (neon library)

# force_cc		- force using __cc other than "%{_target_cpu}-pld-linux-gcc"
# force_cxx		- force using __cxx other than "%{_target_cpu}-pld-linux-g++"
# force_cpp		- force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"

# versions of required libraries
%define	reqdb_ver	4.2.52-10
%define	reqpopt_ver	1.10.2
%define	beecrypt_ver	2:4.1.2-4
%define	sover	4.4
Summary:	RPM Package Manager
Summary(de):	RPM Packet-Manager
Summary(es):	Gestor de paquetes RPM
Summary(pl):	Aplikacja do zarzdzania pakietami RPM
Summary(pt_BR):	Gerenciador de pacotes RPM
Summary(ru):	   RPM
Summary(uk):	 Ԧ צ RPM
Name:		rpm
Version:	4.4.2
Release:	41
License:	GPL
Group:		Base
Source0:	ftp://jbj.org/pub/rpm-4.4.x/%{name}-%{version}.tar.gz
# Source0-md5:	e24ce468082479fe850c9d6563f56db5
Source1:	%{name}.groups
Source2:	%{name}.platform
Source3:	%{name}-install-tree
Source4:	%{name}-find-spec-bcond
Source5:	%{name}-find-lang
Source6:	%{name}-groups-po.awk
Source7:	%{name}-compress-doc
Source8:	%{name}-check-files
Source9:	%{name}-php-provides
Source10:	%{name}-php-requires

Source12:	perl.prov
Source13:	%{name}-user_group.sh
Source14:	%{name}.sysconfig
Source30:	builder
Source31:	adapter.awk
Source32:	pldnotify.awk
# http://svn.pld-linux.org/banner.sh/
Source33:	banner.sh
Patch0:		%{name}-pl.po.patch
Patch1:		%{name}-rpmrc.patch
Patch2:		%{name}-arch.patch
Patch3:		%{name}-rpmpopt.patch
Patch4:		%{name}-perl-macros.patch
Patch5:		%{name}-perl-req-perlfile.patch
Patch6:		%{name}-noexpand.patch
Patch7:		%{name}-scripts-closefds.patch
Patch8:		%{name}-python-macros.patch
Patch9:		%{name}-gettext-in-header.patch
Patch10:	%{name}-compress-doc.patch
Patch11:	%{name}-build.patch
Patch12:	%{name}-system_libs.patch
Patch13:	%{name}-bb-and-short-circuit.patch
Patch14:	%{name}-etc_dir.patch
Patch15:	%{name}-system_libs-more.patch
Patch16:	%{name}-php-deps.patch
Patch17:	%{name}-ldconfig-always.patch
Patch18:	%{name}-perl_req.patch
Patch20:	%{name}-magic-usesystem.patch
Patch21:	%{name}-dontneedutils.patch
Patch22:	%{name}-provides-dont-obsolete.patch
Patch23:	%{name}-examplesaredoc.patch
Patch24:	%{name}-po.patch
Patch25:	%{name}-getcwd.patch
Patch26:	%{name}-notsc.patch
Patch27:	%{name}-hack-norpmlibdep.patch
Patch28:	%{name}-makefile-no_myLDADD_deps.patch
Patch29:	%{name}-libdir64.patch
Patch30:	%{name}-libdir-links.patch
Patch31:	%{name}-missing-prototypes.patch
Patch32:	%{name}-pld-autodep.patch
Patch33:	%{name}-rpmsq.patch
Patch34:	%{name}-epoch0.patch
Patch35:	%{name}-perl_req-INC_dirs.patch
Patch36:	%{name}-debuginfo.patch
Patch37:	%{name}-doxygen_hack.patch
Patch38:	%{name}-kill-prereq.patch
Patch39:	%{name}-pythondeps.patch
Patch40:	%{name}-print-requires.patch
Patch41:	%{name}-reduce-stack-usage.patch
Patch42:	%{name}-amd64.patch
Patch43:	%{name}-patch-quote.patch
Patch44:	%{name}-no-neon.patch
Patch45:	%{name}-no-sqlite.patch
Patch46:	%{name}-mono.patch
Patch47:	%{name}-posttrans.patch
Patch48:	%{name}-requireseq.patch
Patch49:	%{name}-p4.patch
Patch50:	%{name}-macros.patch
Patch51:	%{name}-cleanlibdirs.patch
Patch52:	%{name}-dep_whiteout.patch
Patch53:	%{name}-doxygen_no_file.patch
Patch54:	%{name}-truncate-cvslog.patch
Patch55:	%{name}-bug-146549.patch
Patch56:	%{name}-skip-backups.patch
Patch57:	%{name}-lzma.patch
Patch58:	%{name}-lzma2.patch
Patch59:	%{name}-CVE-2006-5466.patch
Patch60:	%{name}-as_needed-fix.patch
Patch61:	%{name}-locale.patch
Patch62:	%{name}-cpuinfo.patch
URL:		http://wraptastic.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	beecrypt-devel >= %{beecrypt_ver}
BuildRequires:	bzip2-devel >= 1.0.2-17
BuildRequires:	db-devel >= %{reqdb_ver}
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	elfutils-devel >= 0.108
BuildRequires:	gettext-devel >= 0.11.4-2
%{?with_system_libmagic:BuildRequires:	libmagic-devel}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
# needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
%if %{with neon}
BuildRequires:	libxml2-devel
BuildRequires:	neon-devel >= 0.24.7-3
%endif
BuildRequires:	patch >= 2.2
BuildRequires:	popt-devel >= %{reqpopt_ver}
%{?with_python:BuildRequires:	python-devel >= 1:2.3}
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	readline-devel
BuildRequires:	rpm-perlprov
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	zlib-devel
%if %{with static}
# Require static library only for static build
BuildRequires:	beecrypt-static >= %{beecrypt_ver}
BuildRequires:	bzip2-static >= 1.0.2-17
BuildRequires:	db-static >= %{reqdb_ver}
BuildRequires:	elfutils-static
BuildRequires:	glibc-static >= 2.2.94
%{?with_system_libmagic:BuildRequires:	libmagic-static}
%{?with_selinux:BuildRequires:	libselinux-static >= 1.18}
BuildRequires:	popt-static >= %{reqpopt_ver}
BuildRequires:	zlib-static
%endif
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt >= %{beecrypt_ver}
Requires:	popt >= %{reqpopt_ver}
%{!?with_static:Obsoletes:	rpm-utils-static}
Conflicts:	glibc < 2.2.92
# avoid SEGV caused by mixed db versions
Conflicts:	poldek < 0.18.1-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_binary_payload		w9.gzdio
%define		_noPayloadPrefix	1

# don't require very fresh rpm.macros to build
%define		__gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
%define		ix86	i386 i486 i586 i686 athlon pentium3 pentium4
%define		x8664	amd64 ia32e x86_64

# stabilize new build environment
%define		__cc %{?force_cc}%{!?force_cc:%{_target_cpu}-pld-linux-gcc}
%define		__cxx %{?force_cxx}%{!?force_cxx:%{_target_cpu}-pld-linux-g++}
%define		__cpp %{?force_cpp}%{!?force_cpp:%{_target_cpu}-pld-linux-gcc -E}

%define		_rpmlibdir /usr/lib/rpm

%description
RPM is a powerful package manager, which can be used to build,
install, query, verify, update, and uninstall individual software
packages. A package consists of an archive of files, and package
information, including name, version, and description.

%description -l de
RPM ist ein krftiger Packet-Manager, der verwendet sein kann zur
Installation, Anfrage, Verifizierung, Aktualisierung und
Uninstallation individueller Softwarepakete. Ein Paket besteht aus
einem Archiv Dateien und Paketinformation, inklusive Name, Version und
Beschreibung.

%description -l es
RPM es un poderoso administrador de paquetes, que puede ser usado para
construir, instalar, pesquisar, verificar, actualizar y desinstalar
paquetes individuales de software. Un paquete consiste en un
almacenaje de archivos, y informacin sobre el paquete, incluyendo
nombre, versin y descripcin.

%description -l pl
RPM jest doskonaym programem zarzdzajcym pakietami. Umoliwia on
przebudowanie, instalacj czy weryfikacj dowolnego pakietu.
Informacje dotyczce kadego pakietu, takie jak jego opis, lista
plikw wchodzcych w skad pakietu, zalenoci od innych pakietw, s
przechowywane w bazie danych i mona je uzyska za pomoc opcji
odpytywania programu rpm.

%description -l pt_BR
RPM  um poderoso gerenciador de pacotes, que pode ser usado para
construir, instalar, pesquisar, verificar, atualizar e desinstalar
pacotes individuais de software. Um pacote consiste de um conjunto de
arquivos e informaes adicionais, incluindo nome, verso e descrio
do pacote, permisses dos arquivos, etc.

%description -l ru
RPM -    ,     
, ,  (query), ,  
  .      
 ,  , ,   
  .

%description -l uk
RPM -    Ԧ,     
, æ, Ԧ (query), צ,  
  Ԧ.     Ȧ 
ϧ æ,  ͦ , Ӧ,   
æ  .

%package base
Summary:	RPM base package - scripts used by rpm packages themselves
Summary(pl):	Podstawowy pakiet RPM - skrypty uywane przez same pakiety rpm
Group:		Base
Obsoletes:	vserver-rpm

%description base
The RPM base package contains scripts used by rpm packages themselves.
These include:
- scripts for adding/removing groups and users needed for rpm
  packages,
- banner.sh to display %%banner messages from rpm scriptlets.

%description base -l pl
Pakiet podstawowy RPM zwiera skrypty uywane przez same pakiety rpm.
Zawiera on:
- skrypty dodajce/usuwajce grupy i uytkownikw dla pakietw rpm,
- banner.sh do pokazywania komunikatw %%banner dla skryptletw rpm.

%package lib
Summary:	RPMs library
Summary(pl):	Biblioteki RPM-a
Group:		Libraries
Requires:	beecrypt >= %{beecrypt_ver}
Requires:	db >= %{reqdb_ver}
%{?with_selinux:Requires:	libselinux >= 1.18}
%{?with_system_libmagic:Requires:	libmagic >= 1.15-2}
Requires:	popt >= %{reqpopt_ver}
Obsoletes:	rpm-libs
# avoid SEGV caused by mixed db versions
Conflicts:	poldek < 0.18.1-16

%description lib
RPMs library.

%description lib -l pl
Biblioteki RPM-a.

%package devel
Summary:	Header files for rpm libraries
Summary(de):	Header-Dateien fr rpm Libraries
Summary(es):	Archivos de inclusin y bibliotecas para programas de manipulacin de paquetes rpm
Summary(pl):	Pliki nagwkowe bibliotek rpm
Summary(pt_BR):	Arquivos de incluso e bibliotecas para programas de manipulao de pacotes RPM
Summary(ru):	    ,   rpm-
Summary(uk):	  ¦̦  ,     rpm
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt-devel >= %{beecrypt_ver}
Requires:	bzip2-devel
Requires:	db-devel >= %{reqdb_ver}
Requires:	elfutils-devel
%{?with_system_libmagic:Requires:	libmagic-devel}
%{?with_selinux:Requires:	libselinux-devel}
Requires:	popt-devel >= %{reqpopt_ver}
Requires:	zlib-devel

%description devel
The RPM packaging system includes C libraries that make it easy to
manipulate RPM packages and databases. They are intended to ease the
creation of graphical package managers and other tools that need
intimate knowledge of RPM packages. This package contains header files
for these libraries.

%description devel -l de
Der RPM-Packensystem enthlt eine C-Library, die macht es einfach
RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich fr
Vereinfachung des Schaffens grafischer Paket-Manager und anderer
Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.

%description devel -l es
El sistema de empaquetado RPM incluye una biblioteca C que vuelve
fcil la manipulacin de paquetes y bases de datos RPM. Su objetivo es
facilitar la creacin de administradores grficos de paquetes y otras
herramientas que necesiten un conocimiento profundo de paquetes RPM.

%description devel -l pl
System RPM zawiera biblioteki C, ktre uatwiaj manipulowanie
pakietami RPM oraz bazami danych. W zamiarze ma to uproci tworzenie
graficznych programw zarzdzajcych pakietami oraz innych narzdzi,
ktre wymagaj szczegowej wiedzy na temat pakietw RPM. Ten pakiet
zawiera pliki nagwkowe wspomnianych bibliotek.

%description devel -l pt_BR
O sistema de empacotamento RPM inclui uma biblioteca C que torna fcil
a manipulao de pacotes e bases de dados RPM. Seu objetivo 
facilitar a criao de gerenciadores grficos de pacotes e outras
ferramentas que precisem de conhecimento profundo de pacotes RPM.

%description devel -l ru
   RPM   C, 
   RPM    .
      
    ,    
 RPM.

%description devel -l uk
   RPM ͦ ¦̦ C,  դ
   RPM  צצ  .  ¦̦
    Ʀ  Ҧ 
 ̦,     RPM.

%package static
Summary:	RPM static libraries
Summary(de):	RPMs statische Libraries
Summary(pl):	Biblioteki statyczne RPM-a
Summary(pt_BR):	Bibliotecas estticas para o desenvolvimento de aplicaes RPM
Summary(ru):	   ,   rpm-
Summary(uk):	 ¦̦  ,     rpm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	beecrypt-static >= %{beecrypt_ver}
Requires:	bzip2-static
Requires:	db-static >= %{reqdb_ver}
Requires:	elfutils-static
%{?with_system_libmagic:Requires:	libmagic-static}
Requires:	popt-static >= %{reqpopt_ver}
Requires:	zlib-static

%description static
RPM static libraries.

%description static -l de
RPMs statische Libraries.

%description static -l pl
Biblioteki statyczne RPM-a.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento.

%description static -l ru
   RPM   C, 
   RPM    .
   RPM.

%description static -l uk
   RPM ͦ ¦̦ C,  դ
   RPM  צצ  .  
¦̦ RPM.

%package utils
Summary:	Additional utilities for managing rpm packages and database
Summary(de):	Zusatzwerkzeuge fr Verwaltung RPM-Pakete und Datenbanken
Summary(pl):	Dodatkowe narzdzia do zarzdzania baz RPM-a i pakietami
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}

%description utils
Additional utilities for managing rpm packages and database.

%description utils -l de
Zusatzwerkzeuge fr Verwaltung RPM-Pakete und Datenbanken.

%description utils -l pl
Dodatkowe narzdzia do zarzdzania baz RPM-a i pakietami.

%package utils-perl
Summary:	Additional utilities for managing rpm packages and database
Summary(de):	Zusatzwerkzeuge fr Verwaltung RPM-Pakete und Datenbanken
Summary(pl):	Dodatkowe narzdzia do zarzdzania baz RPM-a i pakietami
Group:		Applications/File
Requires:	%{name}-utils = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}

%description utils-perl
Additional utilities for managing rpm packages and database.

%description utils-perl -l de
Zusatzwerkzeuge fr Verwaltung RPM-Pakete und Datenbanken.

%description utils-perl -l pl
Dodatkowe narzdzia do zarzdzania baz RPM-a i pakietami.

%package utils-static
Summary:	Static rpm utilities
Summary(pl):	Statyczne narzdzia rpm
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description utils-static
Static rpm utilities for repairing system in case something with
shared libraries used by rpm become broken. Currently it contains rpmi
binary, which can be used to install/upgrade/remove packages without
using shared libraries (well, in fact with exception of NSS modules).

%description utils-static -l pl
Statyczne narzdzia rpm do naprawy systemu w przypadku zepsucia czego
zwizanego z bibliotekami wspdzielonymi uywanymi przez rpm-a.
Aktualnie pakiet zawiera binark rpmi, ktr mona uy do instalacji,
uaktualniania lub usuwania pakietw bez udziau bibliotek statycznych
(z wyjtkiem moduw NSS).

%package build
Summary:	Scripts for building binary RPM packages
Summary(de):	Scripts frs Bauen binrer RPM-Pakete
Summary(pl):	Skrypty pomocnicze do budowania binarnych RPM-w
Summary(pt_BR):	Scripts e programas executveis usados para construir pacotes
Summary(ru):	  ,    
Summary(uk):	  ̦, ȦΦ   Ԧ
Group:		Applications/File
Requires(pre):	findutils
Requires:	%{name}-build-macros >= 1.302
Requires:	%{name}-utils = %{version}-%{release}
Requires:	/bin/id
Requires:	awk
Requires:	binutils
Requires:	bzip2
Requires:	chrpath >= 0.10-4
Requires:	cpio
Requires:	diffutils
Requires:	elfutils
Requires:	file >= 4.14-1
Requires:	fileutils
Requires:	findutils
%ifarch athlon
Requires:	gcc >= 3.0.3
%else
Requires:	gcc
%endif
Requires:	glibc-devel
Requires:	grep
Requires:	gzip
Requires:	make
Requires:	patch
Requires:	popt >= 1.7
Requires:	sed
Requires:	sh-utils
Requires:	tar
Requires:	textutils
Provides:	rpmbuild(monoautodeps)
Provides:	rpmbuild(noauto) = 3
%ifarch %{x8664}
Conflicts:	automake < 1:1.7.9-2
Conflicts:	libtool < 2:1.5-13
%endif

%description build
Scripts for building binary RPM packages.

%description build -l de
Scripts frs Bauen binrer RPM-Pakete.

%description build -l pl
Skrypty pomocnicze do budowania binarnych RPM-w.

%description build -l pt_BR
Este pacote contm scripts e programas executveis que so usados para
construir pacotes usando o RPM.

%description build -l ru
     , 
   RPM'.

%description build -l uk
ΦΦ ͦΦ   ̦, ˦  
 RPM'.

%package build-tools
Summary:	Scripts for managing .spec files and building RPM packages
Summary(de):	Scripts frs Bauen binrer RPM-Pakete
Summary(pl):	Skrypty pomocnicze do zarzdznia plikami .spec i budowania RPM-w
Summary(pt_BR):	Scripts e programas executveis usados para construir pacotes
Summary(ru):	  ,    
Summary(uk):	  ̦, ȦΦ   Ԧ
Group:		Applications/File
Requires:	%{name}-build = %{version}-%{release}
# these are optional
#Requires:	cvs
Requires:	wget

%description build-tools
Scripts for managing .spec files and building RPM packages.

%description build-tools -l de
Scripts frs Bauen RPM-Pakete.

%description build-tools -l pl
Skrypty pomocnicze do zarzdzania plikami .spec i do budowania RPM-w.

%description build-tools -l pt_BR
Este pacote contm scripts e programas executveis que so usados para
construir pacotes usando o RPM.

%description build-tools -l ru
     , 
   RPM'.

%description build-tools -l uk
ΦΦ ͦΦ   ̦, ˦  
 RPM'.

%package perlprov
Summary:	Additional utilities for checking perl provides/requires in rpm packages
Summary(de):	Zusatzwerkzeuge frs Nachsehen Perl-Abhngigkeiten in RPM-Paketen
Summary(pl):	Dodatkowe narzdzia do sprawdzenia zalenoci skryptw perla w pakietach rpm
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	perl-devel
Requires:	perl-modules

%description perlprov
Additional utilities for checking perl provides/requires in rpm
packages.

%description perlprov -l de
Zusatzwerkzeuge frs Nachsehen Perl-Abhngigkeiten in RPM-Paketen.

%description perlprov -l pl
Dodatkowe narzdzia do sprawdzenia zalenoci skryptw perla w
pakietach rpm.

%package pythonprov
Summary:	Python macros, which simplifies creation of rpm packages with Python software
Summary(pl):	Makra uatwiajce tworzenie pakietw rpm z programami napisanymi w Pythonie
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	python
Requires:	python-modules

%description pythonprov
Python macros, which simplifies creation of rpm packages with Python
software.

%description pythonprov -l pl
Makra uatwiajce tworzenie pakietw rpm z programami napisanymi w
Pythonie.

%package php-pearprov
Summary:	Additional utilities for managing rpm packages and database
Summary(pl):	Dodatkowe narzdzia do sprawdzania zalenoci skryptw php w rpm
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	sed >= 4.0

%description php-pearprov
Additional utilities for checking php pear provides/requires in rpm
packages.

%description php-pearprov -l pl
Dodatkowe narzdzia do sprawdzenia zalenoci skryptw php pear w
pakietach rpm.

%package -n python-rpm
Summary:	Python interface to RPM library
Summary(pl):	Pythonowy interfejs do biblioteki RPM-a
Summary(pt_BR):	Mdulo Python para aplicativos que manipulam pacotes RPM
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python
Obsoletes:	rpm-python

%description -n python-rpm
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%description -n python-rpm -l pl
Pakiet rpm-python zawiera modu, ktry pozwala aplikacjom napisanym w
Pythonie na uywanie interfejsu dostarczanego przez biblioteki RPM-a.

Pakiet ten powinien zosta zainstalowany, jeli chcesz pisa w
Pythonie programy manipulujce pakietami i bazami danych rpm.

%description -n python-rpm -l pt_BR
O pacote rpm-python contm um mdulo que permite que aplicaes
escritas em Python utilizem a interface fornecida pelas bibliotecas
RPM (RPM Package Manager).

Esse pacote deve ser instalado se voc quiser desenvolver programas em
Python para manipular pacotes e bancos de dados RPM.

%package apidocs
Summary:	RPM API documentation and guides
Summary(pl):	Documentacja API RPM-a i przewodniki
Group:		Documentation

%description apidocs
Documentation for RPM API and guides in HTML format generated from rpm
sources by doxygen.

%description apidocs -l pl
Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
rode RPM-a przez doxygen.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
# temporarily moved after patch0 - messes too much in pl.po
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
sed -e 's/^/@pld@/' %{SOURCE2} >>platform.in
#cp -f platform.in macros.pld.in # what for?
echo '%%define	__perl_provides	%%{__perl} /usr/lib/rpm/perl.prov' > macros.perl
echo '%%define	__perl_requires	%%{__perl} /usr/lib/rpm/perl.req' >> macros.perl
echo '# obsoleted file' > macros.python
echo '%%define	__php_provides	/usr/lib/rpm/php.prov' > macros.php
echo '%%define	__php_requires	/usr/lib/rpm/php.req' >> macros.php
echo '%%define	__mono_provides	/usr/lib/rpm/mono-find-provides' > macros.mono
echo '%%define	__mono_requires	/usr/lib/rpm/mono-find-requires' >> macros.mono
install %{SOURCE5} scripts/find-lang.sh
install %{SOURCE9} scripts/php.prov.in
install %{SOURCE10} scripts/php.req.in
install %{SOURCE12} scripts/perl.prov
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p0
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%{!?with_neon:%patch44 -p1}
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch0 -p1
%patch3 -p1
%if %{with system_libmagic}
rm -rf file
%patch53 -p1
%endif
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p0
%patch60 -p1
%patch61 -p1
%patch62 -p1

cd scripts
mv -f perl.req perl.req.in
mv -f perl.prov perl.prov.in
cd ..

mv -f po/{no,nb}.po
mv -f po/{sr,sr@Latn}.po

rm -rf sqlite zlib db db3 popt rpmdb/db.h

# generate Group translations to *.po
awk -f %{SOURCE6} %{SOURCE1}

# update macros paths
for f in doc{,/ja,/pl}/rpm.8 doc{,/ja,/pl}/rpmbuild.8 ; do
	sed -e 's@lib/rpm/redhat@lib/rpm/pld@g' $f > ${f}.tmp
	mv -f ${f}.tmp $f
done

%build
%if ! %{with system_libmagic}
cd file
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ..
%endif

%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

# config.guess doesn't handle athlon, so we have to change it by hand.
# rpm checks for CPU type at runtime, but it looks better
sed -e 's|@host@|%{_target_cpu}-%{_target_vendor}-linux-gnu|' \
	-e 's|@host_cpu@|%{_target_cpu}|' macros.in > macros.tmp
mv -f macros.tmp macros.in

CPPFLAGS="-Dglob=rpm_glob -Dglobfree=rpm_globfree"; export CPPFLAGS

# pass CC and CXX too in case of building with some older configure macro
%configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CPP="%{__cpp}" \
	%{?with_autoreqdep:--enable-adding-packages-names-in-autogenerated-dependancies} \
	--enable-shared \
	--enable-static \
	%{?with_apidocs:--with-apidocs} \
	%{?with_python:--with-python=auto} \
	%{!?with_python:--without-python} \
	%{!?with_selinux:--without-selinux} \
	--without-db

# file_LDFLAGS, debugedit_LDADD - no need to link "file" and "debugedit" statically
%{__make} \
	pylibdir=%{py_libdir} \
	myLDFLAGS="%{rpmldflags}" \
	file_LDFLAGS="" \
	debugedit_LDADD="\$(WITH_LIBELF_LIB) -lpopt"

#	%{!?with_static:rpm_LDFLAGS="\$(myLDFLAGS)"} \

%{?with_apidocs:%{__make} doxygen}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm,/var/lib/banner}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pylibdir=%{py_libdir} \
	pkgbindir="%{_bindir}"

rm $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl

install macros.perl	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.perl
install macros.python	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.python
install macros.php	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.php
install macros.mono	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.mono

install %{SOURCE1} doc/manual/groups
install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
install %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
install %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
install %{SOURCE8} $RPM_BUILD_ROOT%{_rpmlibdir}/check-files
install %{SOURCE13} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
install scripts/find-php*	$RPM_BUILD_ROOT%{_rpmlibdir}
install scripts/php.{prov,req}	$RPM_BUILD_ROOT%{_rpmlibdir}
install %{SOURCE14} $RPM_BUILD_ROOT/etc/sysconfig/rpm

install %{SOURCE30} $RPM_BUILD_ROOT%{_bindir}/builder
install %{SOURCE31} $RPM_BUILD_ROOT%{_bindir}/adapter.awk
install %{SOURCE32} $RPM_BUILD_ROOT%{_bindir}/pldnotify.awk
install %{SOURCE33} $RPM_BUILD_ROOT%{_bindir}/banner.sh

install rpmio/ugid.h $RPM_BUILD_ROOT%{_includedir}/rpm

%ifarch %{ix86}
ix86re=$(echo "(%{ix86})"|sed 's/ /|/g')
perl -p -i -e 's/^(buildarchtranslate: '"$ix86re"': ).*/\1%{_target_cpu}/' \
	$RPM_BUILD_ROOT%{_rpmlibdir}/rpmrc
%endif

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros <<EOF
# customized rpm macros - global for host
#
#%%_install_langs pl_PL:en_US
%%distribution PLD
#
# remove or replace with file_contexts path if you want to use custom
# SELinux file contexts policy instead of one stored in packages payload
%%_install_file_context_path	%%{nil}
%%_verify_file_context_path	%%{nil}

# If non-zero, all erasures will be automagically repackaged.
#%%_repackage_all_erasures    1
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles <<EOF
# global list of files (regexps) which don't generate Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov <<EOF
# global list of script capabilities (regexps) not to be used in Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles <<EOF
# global list of files (regexps) which don't generate Requires
^%{_examplesdir}/
^%{_docdir}/
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq <<EOF
# global list of script capabilities (regexps) not to be used in Requires
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqdep <<EOF
# global list of capabilities (SONAME, perl(module), php(module) regexps)
# which don't generate dependencies on package NAMES
# -- OpenGL implementation
^libGL.so.1
^libGLU.so.1
^libOSMesa.so
# -- Glide
^libglide3.so.3
# -- mozilla
^libgtkmozembed.so
^libgtksuperwin.so
^libxpcom.so
# -- X11 implementation
^libFS.so
^libI810XvMC.so
^libICE.so
^libSM.so
^libX11.so
^libXRes.so
^libXTrap.so
^libXaw.so
^libXcomposite.so
^libXcursor.so
^libXdamage.so
^libXdmcp.so
^libXevie.so
^libXext.so
^libXfixes.so
^libXfont.so
^libXfontcache.so
^libXft.so
^libXi.so
^libXinerama.so
^libXmu.so
^libXmuu.so
^libXp.so
^libXpm.so
^libXrandr.so
^libXrender.so
^libXss.so
^libXt.so
^libXtst.so
^libXv.so
^libXvMC.so
^libXxf86dga.so
^libXxf86misc.so
^libXxf86rush.so
^libXxf86vm.so
^libdps.so
^libdpstk.so
^libfontenc.so
^libpsres.so
^libxkbfile.so
^libxkbui.so
# -- fam / gamin
^libfam.so.0
# -- mDNSResponder-libs / avahi-compat-libdns_sd
^libdns_sd.so.1
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc <<EOF
# global list of file masks not to be compressed in DOCDIR
EOF

# for rpm -e|-U --repackage
install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
touch $RPM_BUILD_ROOT/var/lock/rpm/transaction

# move libs to /lib
for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so ; do
	mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
	ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
done

# remove arch dependant macros which have no use on noarch
%{__sed} -i -e '
/{__spec_install_post_strip}/d
/{__spec_install_post_chrpath}/d
/{__spec_install_post_compress_modules}/d
' $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

for f in $RPM_BUILD_ROOT%{_datadir}/locale/{en_RN,eu_ES,gl,hu,ro,wa,zh,zh_CN.GB2312}/LC_MESSAGES/rpm.mo ; do
	[ "`file $f | sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
done
%find_lang %{name}

rm -rf manual
cp -a doc/manual manual
rm -f manual/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%pre build
find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc RPM-PGP-KEY CHANGES manual/*

%attr(755,root,root) /bin/rpm
#%attr(755,root,root) %{_bindir}/rpmdb
#%attr(755,root,root) %{_bindir}/rpmquery
#%attr(755,root,root) %{_bindir}/rpmsign
#%attr(755,root,root) %{_bindir}/rpmverify

%dir %{_sysconfdir}/rpm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros

%{_mandir}/man8/rpm.8*
%lang(fr) %{_mandir}/fr/man8/rpm.8*
%lang(ja) %{_mandir}/ja/man8/rpm.8*
%lang(ko) %{_mandir}/ko/man8/rpm.8*
%lang(pl) %{_mandir}/pl/man8/rpm.8*
%lang(ru) %{_mandir}/ru/man8/rpm.8*
%lang(sk) %{_mandir}/sk/man8/rpm.8*

%dir /var/lib/rpm
%dir %attr(700,root,root) /var/spool/repackage
%dir /var/lock/rpm
/var/lock/rpm/transaction

#%attr(755,root,root) %{_rpmlibdir}/rpmd
#%{!?with_static:%attr(755,root,root) %{_rpmlibdir}/rpm[eiu]}
#%attr(755,root,root) %{_rpmlibdir}/rpmk
#%attr(755,root,root) %{_rpmlibdir}/rpm[qv]

%doc %attr(755,root,root) %{_rpmlibdir}/convertrpmrc.sh

%{_rpmlibdir}/rpmrc
%{_rpmlibdir}/rpmpopt*
%{_rpmlibdir}/macros

%files base
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
%dir %{_rpmlibdir}
%attr(755,root,root) %{_bindir}/banner.sh
%attr(755,root,root) %{_rpmlibdir}/user_group.sh
%dir /var/lib/banner

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/librpm*-*.so
%attr(755,root,root) %{_libdir}/librpm*-*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/rpm
%{_libdir}/librpm*.la
%attr(755,root,root) %{_libdir}/librpm.so
%attr(755,root,root) %{_libdir}/librpm-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmio.so
%attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmdb.so
%attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmbuild.so

%files static
%defattr(644,root,root,755)
%{_libdir}/librpm*.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/debugedit
%attr(755,root,root) %{_bindir}/rpm2cpio
%attr(755,root,root) %{_bindir}/rpmcache
%attr(755,root,root) %{_bindir}/rpmdeps
%attr(755,root,root) %{_bindir}/rpmgraph
%{!?with_system_libmagic:%attr(755,root,root) %{_bindir}/rpmfile}
%attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
%attr(755,root,root) %{_rpmlibdir}/rpm2cpio.sh
%attr(755,root,root) %{_rpmlibdir}/tgpg
%attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpmdeps.8*
%{_mandir}/man8/rpmcache.8*
%{_mandir}/man8/rpmgraph.8*
%lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
%lang(ja) %{_mandir}/ja/man8/rpmcache.8*
%lang(ja) %{_mandir}/ja/man8/rpmgraph.8*
%lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
%lang(pl) %{_mandir}/pl/man8/rpmcache.8*
%lang(pl) %{_mandir}/pl/man8/rpmgraph.8*
%lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*

%files utils-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/rpmdiff*
# not here
#%%{_rpmlibdir}/rpm.daily
#%%{_rpmlibdir}/rpm.log
#%%{_rpmlibdir}/rpm.xinetd

%if %{with static}
%files utils-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm[ieu]
%attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
%endif

%files build
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
%attr(755,root,root) %{_rpmlibdir}/compress-doc
%attr(755,root,root) %{_rpmlibdir}/cross-build
#%attr(755,root,root) %{_rpmlibdir}/find-provides
#%attr(755,root,root) %{_rpmlibdir}/find-provides-wrapper
#%attr(755,root,root) %{_rpmlibdir}/find-requires
#%attr(755,root,root) %{_rpmlibdir}/find-requires-wrapper
#%attr(755,root,root) %{_rpmlibdir}/find-rpm-provides
%attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
%attr(755,root,root) %{_rpmlibdir}/find-lang.sh
%attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
%attr(755,root,root) %{_rpmlibdir}/config.*
%attr(755,root,root) %{_rpmlibdir}/getpo.sh
%attr(755,root,root) %{_rpmlibdir}/install-build-tree
%attr(755,root,root) %{_rpmlibdir}/brp-*
%attr(755,root,root) %{_rpmlibdir}/check-files
%attr(755,root,root) %{_rpmlibdir}/check-prereqs
#%attr(755,root,root) %{_rpmlibdir}/cpanflute
#%attr(755,root,root) %{_rpmlibdir}/cpanflute2
#%attr(755,root,root) %{_rpmlibdir}/Specfile.pm
%attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
#%attr(755,root,root) %{_rpmlibdir}/vpkg-provides.sh
#%attr(755,root,root) %{_rpmlibdir}/vpkg-provides2.sh
%attr(755,root,root) %{_rpmlibdir}/rpmb
%attr(755,root,root) %{_rpmlibdir}/rpmt
%{_rpmlibdir}/noarch-*
%ifarch %{ix86}
%{_rpmlibdir}/i?86*
%{_rpmlibdir}/pentium*
%{_rpmlibdir}/athlon*
%endif
%ifarch alpha
%{_rpmlibdir}/alpha*
%endif
%ifarch ia64
%{_rpmlibdir}/ia64*
%endif
%ifarch mips mipsel mips64 mips64el
%{_rpmlibdir}/mips*
%endif
%ifarch ppc
%{_rpmlibdir}/ppc*
%endif
%ifarch sparc sparc64
%{_rpmlibdir}/sparc*
%endif
%ifarch %{x8664}
%{_rpmlibdir}/amd64*
%{_rpmlibdir}/x86_64*
%endif
# must be here for "Requires: rpm-*prov" to work
%{_rpmlibdir}/macros.mono
%{_rpmlibdir}/macros.perl
%{_rpmlibdir}/macros.php
# not used yet ... these six depend on perl
#%attr(755,root,root) %{_rpmlibdir}/http.req
#%attr(755,root,root) %{_rpmlibdir}/magic.prov
#%attr(755,root,root) %{_rpmlibdir}/magic.req
#%{_rpmlibdir}/sql.prov
#%{_rpmlibdir}/sql.req
#%{_rpmlibdir}/tcl.req
%{_rpmlibdir}/trpm

%attr(755,root,root) %{_bindir}/javadeps
%attr(755,root,root) %{_bindir}/gendiff
%attr(755,root,root) %{_bindir}/rpmbuild

%{_mandir}/man1/gendiff.1*
%{_mandir}/man8/rpmbuild.8*
%lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
%lang(pl) %{_mandir}/pl/man1/gendiff.1*
%lang(pl) %{_mandir}/pl/man8/rpmbuild.8*

%files build-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter.awk
%attr(755,root,root) %{_bindir}/pldnotify.awk

%files perlprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/perl.*
#%attr(755,root,root) %{_rpmlibdir}/perldeps.pl
#%attr(755,root,root) %{_rpmlibdir}/find-perl-*
#%attr(755,root,root) %{_rpmlibdir}/find-*.perl
#%attr(755,root,root) %{_rpmlibdir}/find-prov.pl
#%attr(755,root,root) %{_rpmlibdir}/find-req.pl
%attr(755,root,root) %{_rpmlibdir}/get_magic.pl

%files pythonprov
%defattr(644,root,root,755)
%{_rpmlibdir}/macros.python
%attr(755,root,root) %{_rpmlibdir}/pythondeps.sh

%files php-pearprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/php*
%attr(755,root,root) %{_rpmlibdir}/find-php*

%if %{with python}
%files -n python-rpm
%defattr(644,root,root,755)
%dir %{py_sitedir}/rpm
%attr(755,root,root) %{py_sitedir}/rpm/*.so
%{py_sitedir}/rpm/*.py[co]
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidocs/html/*
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm.spec,v $
Revision 1.555.2.189  2007/03/05 13:22:37  arekm
- rel 41; cpuinfo and iconv patch do work for me

Revision 1.555.2.188  2007/02/20 08:34:00  qboosh
- release 40.2: updated mono patch for new magic database

Revision 1.555.2.187  2007/02/19 18:56:03  arekm
- test patch for ignoring cpuinfo() deps

Revision 1.555.2.186  2007/02/13 20:14:23  arekm
- utf8->other locales conversion; seems to be working

Revision 1.555.2.185  2007/01/22 21:03:47  glen
- rel 39: find-lang fixed

Revision 1.555.2.184  2007/01/06 22:40:11  glen
- add libdns_sd.so.1 to noautoreqdep; rel 38

Revision 1.555.2.183  2006/12/01 11:09:39  glen
- rel 37

Revision 1.555.2.182  2006/12/01 10:16:01  qboosh
- added CVE-2006-5466 patch

Revision 1.555.2.181  2006/09/17 16:33:09  glen
- find_lang.patch dropped (source is modified instead)

Revision 1.555.2.180  2006/08/04 20:19:57  sparky
- added as-needed patch

Revision 1.555.2.179  2006/05/29 06:48:37  glen
- small find_lang speedup patch

Revision 1.555.2.178  2006/05/24 10:49:49  glen
- rel 36

Revision 1.555.2.177  2006/05/24 09:10:29  glen
- need newer rpm-build-macros not to conflict with payload specification

Revision 1.555.2.176  2006/05/23 20:27:30  glen
- rel 35

Revision 1.555.2.175  2006/05/23 20:07:03  glen
- PEAR build macros moved to rpm-build-macros

Revision 1.555.2.174  2006/05/23 16:48:09  wolf
- lzma support
- rel 34

Revision 1.555.2.173  2006/04/29 13:33:16  glen
- fixed changelog truncation patch, rel 33

Revision 1.555.2.172  2006/04/27 07:58:50  glen
- rel 32

Revision 1.555.2.171  2006/04/26 21:55:11  glen
- skip reading backups and rpmsave files from /etc/rpm
- lockup fix for non-vanilla kernels (ck for example)

Revision 1.555.2.170  2006/04/26 19:53:53  glen
- changelog truncation patch
- adapterize

Revision 1.555.2.169  2006/04/12 13:59:48  glen
- nscd cache invalidation for %userremove/%groupremove, rel 31

Revision 1.555.2.168  2006/04/05 14:26:41  glen
- rpmnew todo

Revision 1.555.2.167  2006/04/04 12:35:14  glen
- add (disabled) %_repackage_all_erasures to /etc/rpm/macros

Revision 1.555.2.166  2006/03/07 17:53:00  glen
- PEAR dep is in each php-pear package to avoid BR loops

Revision 1.555.2.165  2006/03/07 17:41:07  twittner
- added rpm-doxygen_no_file.patch: fix for rpm-apidocs
  package (was empty)
- shortened path in rpm-apidocs
- rel. 30, STBR AC

Revision 1.555.2.164  2006/02/17 15:22:58  glen
- remove .packlist and perllocal.pod for perl packages, rel 29

Revision 1.555.2.163  2006/02/05 16:55:27  glen
- rel 28, STBR

Revision 1.555.2.162  2006/01/20 21:43:30  glen
- banner.sh no longer needs sed

Revision 1.555.2.161  2006/01/19 19:03:25  glen
- rel 27, fixed appended banner display; STBR

Revision 1.555.2.160  2006/01/09 10:15:53  glen
- drop Icon:

Revision 1.555.2.159  2006/01/08 15:33:36  glen
- clean rh/fc specific dependency whiteout from macros

Revision 1.555.2.158  2006/01/08 15:10:44  glen
- discard manual subdir from doc, as jbj refers to docs without it

Revision 1.555.2.157  2005/11/08 15:51:52  qboosh
- added cleanlibdirs patch (avoid -L poisoning in *.la)
- release 26

Revision 1.555.2.156  2005/11/05 11:44:13  glen
- rel 25 to cope with merged rpm-build-macros

Revision 1.555.2.155  2005/11/02 22:17:53  glen
- add branch specific macros

Revision 1.555.2.154  2005/10/29 14:51:51  bszx
- rpm-p4.patch added: Pentium 4 540J is recognized as pentium4

Revision 1.555.2.153  2005/10/28 21:10:00  glen
- cleanup

Revision 1.555.2.152  2005/10/28 21:06:59  glen
- rel 23

Revision 1.555.2.151  2005/10/28 21:03:39  glen
- rpmbuild(macros) separated (finally!)

Revision 1.555.2.150  2005/10/28 11:54:41  glen
- rel 22

Revision 1.555.2.149  2005/10/28 07:17:37  glen
- rel 21

Revision 1.555.2.148  2005/10/27 23:37:31  glen
- rel 20

Revision 1.555.2.147  2005/10/27 16:22:02  glen
- rel 19

Revision 1.555.2.146  2005/10/27 15:23:37  glen
- rpm_macros_rev 1.248; rel 18

Revision 1.555.2.145  2005/10/23 13:13:57  glen
- rel 17

Revision 1.555.2.144  2005/10/22 19:14:23  glen
- rpm macros rev 1.247

Revision 1.555.2.143  2005/10/20 09:56:10  glen
- %addusertogroup requires sed

Revision 1.555.2.142  2005/10/18 11:13:29  qboosh
- sorted verify() flags

Revision 1.555.2.141  2005/10/18 11:03:01  qboosh
- typo, unified/fixed base descs

Revision 1.555.2.140  2005/10/16 16:07:14  glen
- missing dir, rel 16

Revision 1.555.2.139  2005/10/16 15:41:03  blekot
- base subpackage translate into pl and some en changes

Revision 1.555.2.138  2005/10/16 14:12:12  glen
- add /var/lib/banner dir to package
- more thoroughful desc for -base

Revision 1.555.2.137  2005/10/16 13:50:35  blekot
- forgotten summary for pl and eng for base subpackage

Revision 1.555.2.136  2005/10/16 13:45:35  blekot
- pl desc to base subpackage

Revision 1.555.2.135  2005/10/15 17:50:39  glen
- rpm macros rev 1.245

Revision 1.555.2.134  2005/10/15 15:27:55  glen
- rpm macros rev 1.244

Revision 1.555.2.133  2005/10/15 15:24:38  glen
- rel 15

Revision 1.555.2.132  2005/10/12 16:31:10  glen
- create -base subpackage, it will be always needed by rpm packages adding/removing system users

Revision 1.555.2.131  2005/10/11 09:22:43  glen
- rpm_macros_rev 1.243

Revision 1.555.2.130  2005/10/08 11:42:52  arekm
- rel 13

Revision 1.555.2.129  2005/10/08 11:41:37  arekm
- fix locale in requires_eq

Revision 1.555.2.128  2005/10/07 12:12:05  qboosh
- added kill-prereq patch (should fix package ordering regressions, needs test)
- release 12.1

Revision 1.555.2.127  2005/10/07 09:11:55  qboosh
- updated pl for -pearprov, use x8664 macro, sync cosmetics with HEAD

Revision 1.555.2.126  2005/10/06 17:26:28  paszczus
- reverted

Revision 1.555.2.124  2005/10/03 13:26:25  qboosh
- 644 for *.py[co]

Revision 1.555.2.123  2005/09/27 20:46:48  glen
- rel 12 for updated pearprov

Revision 1.555.2.122  2005/09/27 19:51:56  glen
- R: sed >= 4.0 for pearprov package

Revision 1.555.2.121  2005/09/23 15:36:12  charles
- missing dir

Revision 1.555.2.120  2005/09/19 19:40:39  glen
- rel 11 to get pear packages build going

Revision 1.555.2.119  2005/09/19 17:18:34  glen
- new PEAR build macros added to macros.php

Revision 1.555.2.118  2005/09/15 17:34:44  glen
- macros rev 1.239 (fixed %banner macro); rel 10

Revision 1.555.2.117  2005/09/13 23:15:07  glen
- rpm macros 1.238; STBR

Revision 1.555.2.116  2005/09/13 20:18:51  glen
- rpm_macros_rev 1.237 (php/zend api version macros)

Revision 1.555.2.115  2005/09/12 20:29:10  glen
- typo

Revision 1.555.2.114  2005/09/12 17:33:32  glen
- noautoreqdep on libfam.so.0, rel 8; STBR

Revision 1.555.2.113  2005/09/09 10:02:21  arekm
- BR libmagic-static for static subpackage

Revision 1.555.2.112  2005/09/06 17:49:10  glen
- obsolete older rpm_macros_rev from standalone rpm-macros package if
  we provide newer to prevent older macros doing bad things

Revision 1.555.2.111  2005/09/06 17:45:20  glen
- rpm_macros_rev 1.236

Revision 1.555.2.110  2005/09/06 15:02:15  glen
- rel 6

Revision 1.555.2.109  2005/09/06 15:01:21  glen
- BR: libmagic-devel moved to rpm-devel

Revision 1.555.2.108  2005/09/03 19:15:35  arekm
- rel 5; damn, enforce proper libmagic

Revision 1.555.2.107  2005/09/03 18:10:22  arekm
- rel 4; use patched system libmagic

Revision 1.555.2.106  2005/09/03 14:57:44  arekm
- nicer way of handling libmagic bcond in build

Revision 1.555.2.105  2005/09/03 14:43:00  arekm
- update for system libmagic

Revision 1.555.2.104  2005/09/03 14:42:26  arekm
- system libmagic bcond

Revision 1.555.2.103  2005/09/03 08:55:51  wolf
- BR: file-4.14

Revision 1.555.2.102  2005/09/03 08:54:27  arekm
- rel 3; fix mono macros

Revision 1.555.2.101  2005/08/29 17:04:30  baggins
- release 2
- dropped libhome_etc deps and bcond, as we can now do HOME_ETC support
  without external library

Revision 1.555.2.100  2005/08/29 16:51:14  baggins
- back rel 1.1
- try to do home_etc support without libhome_etc

Revision 1.555.2.99  2005/08/29 16:50:14  baggins
- release 2
- fixed home_etc support wrt macrofiles

Revision 1.555.2.98  2005/08/24 11:26:41  glen
- rpm_macros_rev 1.235

Revision 1.555.2.97  2005/08/20 19:03:55  glen
- remove arch dependant %install macros from noarch macros file

Revision 1.555.2.96  2005/08/15 20:07:51  glen
- appears to work. rel 1

Revision 1.555.2.95  2005/08/15 19:24:32  glen
- %post/%pretrans debug fixes

Revision 1.555.2.94  2005/08/15 18:30:22  arekm
- (partial) merge from HEAD to rpm 4.4.2

Revision 1.555.2.93  2005/08/02 09:30:26  charles
- pythondeps.sh (-pythonprov) req. python-modules

Revision 1.555.2.92  2005/07/19 17:50:25  qboosh
- updated etc_dir,no-neon patches from HEAD, added home_etc bcond
- added file-update patch (for compatibility with *.mgc generated by file 4.14)
- release 9

Revision 1.555.2.91  2005/07/15 17:13:10  glen
- rel 8; STBR

Revision 1.555.2.90  2005/07/15 17:12:36  glen
- rpm_macros_rev 1.231

Revision 1.555.2.89  2005/07/10 11:54:47  glen
- rpm macros 1.228

Revision 1.555.2.88  2005/07/06 16:16:22  arekm
- remove bad comment

Revision 1.555.2.87  2005/07/06 16:15:39  arekm
- rel 7; rename glob to rpm_glob

Revision 1.555.2.86  2005/06/28 08:49:07  zbyniu
- R: home-etc-devel in -devel, rel 6

Revision 1.555.2.85  2005/06/27 18:22:42  glen
- rpm_macros_rev 1.225

Revision 1.555.2.84  2005/06/24 18:02:37  twittner
- finally, no CVS files & dirs in sources - cleaning removed

Revision 1.555.2.83  2005/06/23 12:25:23  qboosh
- -lib R: proper libselinux

Revision 1.555.2.82  2005/06/23 07:22:31  qboosh
- fixed apidocs bcond inconsequence

Revision 1.555.2.81  2005/06/22 16:07:22  qboosh
- require db >= 4.2.52-10 (to make sure it works on kernel24)

Revision 1.555.2.80  2005/06/21 07:57:10  baggins
- argh, typo
- release 5

Revision 1.555.2.79  2005/06/20 11:50:22  baggins
- release 4
- req elfutils in /lib

Revision 1.555.2.78  2005/06/19 23:18:40  baggins
- BR latest bzip2-devel

Revision 1.555.2.77  2005/06/19 23:06:29  baggins
- req db in /lib

Revision 1.555.2.76  2005/06/19 20:33:24  twittner
- fix rpm_macros_rev - now rpm.macros from AC-branch are similar to rev.
  1.223 (contain 'fix apache_config_install macro ...')

Revision 1.555.2.75  2005/06/19 19:01:45  baggins
- release 3.2
- killed neon and sqlite
- work in progress on making rpm work without /usr
- added neon bcond (for those who really can't live without HTTP in rpm ;)

Revision 1.555.2.74  2005/06/18 20:01:38  saq
- pythonprov reqs python and doesn't python-modules

Revision 1.555.2.73  2005/06/18 12:04:40  arekm
- rel 3; fix amd64 macros for AC

Revision 1.555.2.72  2005/06/17 22:28:27  baggins
- release 2
- fixed amd64 patch (don't overdo amd64 support for AC)

Revision 1.555.2.71  2005/06/17 16:18:26  baggins
- release 1

Revision 1.555.2.70  2005/06/17 15:49:27  baggins
- release 0.2
- req beecrypt 2:4.1.0

Revision 1.555.2.69  2005/06/17 14:51:06  baggins
- fixed autoreqdep bcond

Revision 1.555.2.68  2005/06/17 14:43:30  baggins
- merged from HEAD
- version 4.4.1
- release 0.1
- please STBR test

Revision 1.667  2005/05/28 22:27:31  twittner
- provides rpm.macros 1.220 - %configure may use --cache-file when
  %configure_cache is defined.

Revision 1.666  2005/05/27 12:06:37  glen
- rpm_macros_rev 1.219

Revision 1.665  2005/05/20 16:39:04  pluto
- fixed *releq_kernel* macros (they support variable kernel name now).
- macros rev. bumped to 1.217.
- release 1.11.

Revision 1.664  2005/05/18 16:05:37  pluto
- gcc visibility issue fixed and reenabled.

Revision 1.663  2005/05/11 18:41:53  pluto
- release 1.9.

Revision 1.662  2005/05/11 13:25:53  qboosh
- more x8664 usage, amd64 patch already dropped (removed from todo)

Revision 1.661  2005/05/11 12:53:04  qboosh
- use ifarch %{x8664} to allow using amd64/ia32e as buildarch

Revision 1.660  2005/05/11 10:53:06  qboosh
- macros 1.213

Revision 1.659  2005/05/10 18:39:01  qboosh
- merged getcwd patch from AC-branch

Revision 1.658  2005/05/07 14:14:44  pluto
- fixed quotation in %{x8664} macro, release 1.8.

Revision 1.657  2005/05/07 01:05:22  pluto
- macros rev. bumped to 1.211.
- release 1.7, rebuild.

Revision 1.656  2005/05/07 00:13:17  pluto
- starting switch to x86_64 arch...

Revision 1.655  2005/05/05 00:52:14  pluto
- -fvisibilty-inlines-hidden removed from cxx flags due to gcc bugs.
  it will be readded when it's stable.
- release 1.5.

Revision 1.654  2005/05/04 23:25:33  adamg
- release 1.4 - with bumped macros (required by Vim)

Revision 1.653  2005/05/01 10:40:29  qboosh
- macros 1.210

Revision 1.652  2005/04/18 16:09:45  mmazur
- rel 1.3; no --as-needed

Revision 1.651  2005/04/16 21:20:29  mmazur
- rel 1.2; should be ok now

Revision 1.650  2005/04/16 19:54:32  mmazur
- rel1.1; --my-ass-needed also in rpmldflags

Revision 1.649  2005/04/16 12:03:18  glen
- rpm macros rev 1.202

Revision 1.648  2005/04/16 12:00:40  mmazur
- rel1; let's start using that --as-needed stuff

Revision 1.647  2005/04/13 17:36:52  qboosh
- normalize autoreqdep bcond name

Revision 1.646  2005/04/10 21:54:17  pluto
- ugly gcc hack not needed.

Revision 1.645  2005/04/10 21:36:05  pluto
- reduce stack usage, to avoid random sigsegv (catched on ac/th-athlon).
- release 0.9 (testing...).

Revision 1.644  2005/04/07 17:53:37  freetz
- from AC-branch: rpm_macros_rev 1.197, rel. 0.8:
  added macros: glib_gettextize, gnome_doc_comon, gtkdocize, intloolize,
  update_desktop_database_{post,postun}, scrollkeeer_update_{post,postun},
  ldconfig_{post,postun}, simplfied gconf_schema_* macros, check for $1
  added

Revision 1.643  2005/04/03 22:39:49  qboosh
- dropped obsolete distver stuff

Revision 1.642  2005/04/02 17:09:13  mmazur
- -O1 on athlon (gcc4 miscompiles; need to gather more data to fill a bug
  report)
- rel 0.7

Revision 1.641  2005/03/30 17:31:41  qboosh
- added print-requires patch (Requires printing is back)

Revision 1.640  2005/03/30 14:23:31  qboosh
- -build R: file >= 4.13-2 (for python 2.4 bytecode detection)

Revision 1.639  2005/03/25 00:55:49  aflinta
- fixed (finally?) GConf scripts, rel 0.6

Revision 1.638  2005/03/25 00:05:37  aflinta
- fixed GConf macros

Revision 1.637  2005/03/23 08:38:06  glen
- rpm_macros_rev 1.194 for updated %banner

Revision 1.636  2005/03/22 21:50:36  aflinta
- bumped rpm_macros revision

Revision 1.635  2005/03/22 21:35:05  aflinta
- added routines to speedup gconf's schemas installation, release 0.4

Revision 1.634  2005/03/21 18:33:46  mmazur
- rel 0.3 for th

Revision 1.633  2005/03/21 18:22:42  mmazur
- Req from db-* not dbX.Y-* (dbX.Y.spec's provide db-*)

Revision 1.632  2005/03/19 16:47:46  mmazur
- don't do package names in autorequires
- depend on db4.3
- rel 0.2

Revision 1.631  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.630  2005/03/10 20:29:38  qboosh
- updated todo (pythondeps needs fixing)

Revision 1.629  2005/02/27 20:29:36  qboosh
- todo updated

Revision 1.628  2005/02/27 16:33:49  qboosh
- added pythondeps patch (less bash deps, support *scriptdir)

Revision 1.627  2005/02/27 11:57:30  adgor
- Fixed rights for pythondeps.sh

Revision 1.626  2005/02/24 19:01:54  wolf
- include pythondeps.sh

Revision 1.625  2005/02/20 22:27:25  qboosh
- patches updated

Revision 1.624  2005/02/20 19:56:02  qboosh
- unterminated noautoreqdep regexes (to match ".*()(64bit)$" too)

Revision 1.623  2005/02/18 10:23:15  qboosh
- popt 1.10.1, setup passes

Revision 1.622  2005/02/15 13:35:03  wiget
- rpm.macros ver 1.188

Revision 1.621  2005/02/14 09:34:08  qboosh
- 4.4.1 final started - fetch source

Revision 1.620  2005/02/08 18:10:01  qboosh
- runtime dep on libselinux 1.18 (in -lib); unified subpackages order

Revision 1.619  2005/02/08 16:38:05  witekfl
- BR: libselinux >= 1.18 (rpm_execcon)

Revision 1.618  2005/01/22 19:41:18  qboosh
- current rpmrc enforces gcc 3.4 on i686, rpm.macros conflicts with gcc-c++ < 3.4

Revision 1.617  2005/01/22 16:31:40  pluto
- reverted.

Revision 1.616  2005/01/22 11:45:28  pluto
- R: gcc-c++ >= 3.4 (-fvisibility-inlines-hidden).

Revision 1.615  2005/01/16 20:41:32  qboosh
- renumbered patches

Revision 1.614  2005/01/16 20:22:40  qboosh
- updated pl.po,rpmpopt patches

Revision 1.613  2005/01/16 18:58:56  qboosh
- removed obsolete beecrypt4 patch, updated doxygen_hack patch
- apidocs desc cleanup

Revision 1.612  2005/01/04 15:49:26  wiget
- add missing files to python-rpm

Revision 1.611  2004/12/21 14:03:16  saq
- rpm.macros 1.183 (pyrequires_eq which actually works, needs a modern
  python)
- release 0.7

Revision 1.610  2004/12/21 11:53:39  qboosh
- macros 1.182

Revision 1.609  2004/12/12 05:49:47  ankry
- R: bzip2 in build

Revision 1.608  2004/12/12 00:55:02  qrczak
- One semicolon too many.

Revision 1.607  2004/12/11 23:50:56  qrczak
- Updated XML and SGML macros to include a semicolon at the end,
  instead of putting empty lines after their invocations.

Revision 1.606  2004/12/10 17:40:16  pluto
- gcc4 fix.

Revision 1.605  2004/12/09 23:09:53  wolf
- fix rpm vs symlinks

Revision 1.604  2004/11/26 00:59:48  pzurowski
- changed behaviour in -n and -t in %banner
- added banner support to user_group.sh (PLEASE CHECK!)
- release .5
- req. macros rev. 1.177

Revision 1.603  2004/11/24 10:02:57  pzurowski
- added stderr support for %banner
- req. macro rev. 1.176
- rel. .4

Revision 1.602  2004/11/24 06:43:17  pzurowski
- rewritten %banner macro (now is much safer)
- req. macro rev. 1.175
- rel .3
- %banner works for me

Revision 1.601  2004/11/23 16:04:59  saq
- rpmmacros version up to 1.174

Revision 1.600  2004/11/23 14:43:02  pzurowski
- rpm macros rev 1.171
- fixed path to banner.sh

Revision 1.599  2004/11/23 14:11:56  pzurowski
- rpm macros rev = 1.170
- release 0.snap.0.2
- added banner.sh and %banner support

Revision 1.598  2004/11/21 21:34:35  arekm
- add missing symlinks

Revision 1.597  2004/11/21 09:11:19  arekm
- up to 20041121 snap; builds

Revision 1.596  2004/11/21 01:03:29  arekm
- fix neon req; builds; nfy

Revision 1.595  2004/11/18 18:20:37  arekm
- updated to 20041118 snap (not finished due to libtool problems)

Revision 1.594  2004/11/14 12:09:03  adgor
- rpm_macros_rev  1.167
- Rel 0.8

Revision 1.593  2004/11/07 13:10:08  qboosh
- added new X11 libs to global noautoreqdep (may come from X.org or xlibs)
  (libXcomposite, libXdamage, libXdmcp, libXevie, libXfixes)

Revision 1.592  2004/09/18 21:14:07  twittner
- bconded distver patch (default off, agreed with author)

Revision 1.591  2004/09/14 14:36:03  mmazur
- rel .0.7
- use rpm-lib(distver) instead of rpmlib(distver); the latter doesn't work
  and I have no clue why

Revision 1.590  2004/09/14 10:10:26  mmazur
- rel .0.6 due to distver

Revision 1.589  2004/09/13 21:55:30  mmazur
- provides: rpmlib(distver)

Revision 1.588  2004/09/13 21:44:49  mmazur
- head poldek has distver on, so head rpm should too

Revision 1.587  2004/09/07 15:48:50  mmazur
- dist version support (commented out)

Revision 1.586  2004/08/27 20:28:08  qboosh
- added missing DPS libs to X11 libs noautoreqdep; noauto=3

Revision 1.585  2004/08/24 17:09:00  heretyk
- moved man pages to the proper subpackage

Revision 1.584  2004/08/23 11:00:50  twittner
- improved sumarries and descriptions for apidocs subpackage.
- one (my and senseless) TODO entry removed.

Revision 1.583  2004/08/23 07:42:27  qboosh
- cosmetic (no //)

Revision 1.582  2004/08/22 21:50:45  twittner
- more s/with_docs/with_apidocs/ fixes.

Revision 1.581  2004/08/22 21:23:27  twittner
- fix: s/with_docs/with_apidocs/

Revision 1.580  2004/08/22 21:19:09  twittner
- added rpm-apidocs subpackage with rpm api documentation generated by
  doxygen
- added -doxygen_hack.patch
- changed bcond name: docs -> apidocs

Revision 1.579  2004/08/22 13:53:58  twittner
- fixed double {{

Revision 1.578  2004/08/22 13:44:38  twittner
- R: %{beecrypt_ver}
- updated -pld-autodep.patch - added:
  --enable-adding-packages-names-in-autogenerating-dependancies configure
  switch - adds packages names for autogenerated dependancies to requires.
  and related bcond_without pkgnameinautoreq

Revision 1.577  2004/08/22 13:02:33  qboosh
- added beecrypt epoch

Revision 1.576  2004/08/21 22:33:17  qboosh
- merged no_version_check_in_obsoletes from AC-branch
- updated pld-autodeps patch and macros to concatenate local and global _noauto*
- updated pl.po and rpmpopt patches to get complete rpm --help translation
- updated global noauto* lists: added anchors (they are not implied now), added
  list of X11 libraries
- release .0.5

Revision 1.575  2004/08/20 23:38:25  ankry
- %{user,group}remove support really merged from AC-ranch

Revision 1.574  2004/08/19 12:30:06  djurban
- %define       rpm_macros_rev  1.161

Revision 1.573  2004/08/03 21:49:12  qboosh
- added beecrypt4 patch, build with beecrypt 4.0.0 (not for Ac)

Revision 1.572  2004/07/28 21:39:29  qboosh
- debuginfo fixes (debuginfo patch, .macros)
- -build R: cpio for debuginfo; release .0.4

Revision 1.571  2004/07/28 08:03:19  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.570  2004/07/24 13:37:57  havner
- trying to fix what i broke

Revision 1.568  2004/07/22 10:43:53  pluto
- reverted.

Revision 1.567  2004/07/22 10:26:30  pluto
- R(kernel-headers) added.
  %__kernel_rel uses %{_kernelsrcdir}/include/linux/fs.h.

Revision 1.566  2004/07/14 22:33:48  qboosh
- updated groups for no->nb transition
- updated pl.po patch, apply it

Revision 1.565  2004/07/14 21:02:32  qboosh
- don't package unused scripts that only caused perl dependency in -build
- release .0.3

Revision 1.564  2004/07/09 21:33:46  qboosh
- added ia64

Revision 1.563  2004/07/09 19:56:37  qboosh
- BR: readline-devel (needed by internal lua)

Revision 1.562  2004/07/02 20:13:04  arekm
- we do support amd64 as arch only in Ac

Revision 1.561  2004/06/24 10:53:33  pluto
- BR += libxml2-devel.

Revision 1.560  2004/06/14 15:37:05  arekm
- file patches are back; better CC/CXX/CPP support - set proper values at configure but for compilation use different one

Revision 1.559  2004/06/14 13:46:42  arekm
- drop some obsolete patches

Revision 1.558  2004/06/14 12:59:40  arekm
- updated amd64 patch

Revision 1.557  2004/06/14 12:47:58  arekm
- fix md5

Revision 1.556  2004/06/14 12:17:43  arekm
- started update to LUA enabled version 4.4 snap 20040614 (NFY)

Revision 1.555  2004/06/11 12:39:36  arekm
- rel .24

Revision 1.554  2004/06/06 07:19:50  twittner
- removed CVS files from sources.

Revision 1.553  2004/05/28 20:16:09  ankry
- cosmetics

Revision 1.552  2004/05/27 21:21:10  qboosh
- current macros rev is 1.153

Revision 1.551  2004/05/27 20:30:13  pluto
- %{_target_base_arch} macro added.
- release 0.snap.23.

Revision 1.550  2004/05/23 14:50:52  qboosh
- updated perl_req-INC_dirs patch to generate reqs for files in /usr/lib64; release .22
